| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
uiSurveyBoxObject Class Reference
uiIo

`#include <uisurvmap.h>`

Inheritance diagram for uiSurveyBoxObject:
[legend]

## Public Member Functions
| uiSurveyBoxObject (BasemapObject *)
| ~uiSurveyBoxObject ()
bool | asWorkArea () const
const OD::LineStyle & | getLineStyle () const
const char * | getType () const
bool | labelsShown () const
void | setAsWorkArea (bool yn)
void | setLineStyle (const OD::LineStyle &)
void | setSurveyInfo (const SurveyInfo *)
void | setVisibility (bool)
void | showLabels (bool yn)
void | update () override
Public Member Functions inherited from uiBasemapObject
| uiBasemapObject (BasemapObject *)
virtual | ~uiBasemapObject ()
virtual void | getMousePosInfo (Coord3 &, TrcKey &, float &val, BufferString &info) const
uiGraphicsItem & | graphItem ()
const uiGraphicsItem & | graphItem () const
bool | hasChanged () const
virtual bool | isShown () const
uiGraphicsItem & | labelItem ()
const uiGraphicsItem & | labelItem () const
bool | labelsShown () const
| mOD_DisableCopy (uiBasemapObject) BasemapObject *getObject()
const char * | name () const
void | resetChangeFlag ()
void | setTransform (const uiWorld2Ui *)
virtual void | show (bool yn)
void | showLabels (bool yn)
virtual void | updateStyle ()
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Protected Attributes
bool | asworkarea_
uiPolygonItem * | frame_
ObjectSet< uiTextItem > | labels_
OD::LineStyle | ls_
bool | showlabels_
const SurveyInfo * | survinfo_
ObjectSet< uiMarkerItem > | vertices_
Protected Attributes inherited from uiBasemapObject
BasemapObject * | bmobject_
bool | changed_ = false
uiGraphicsItem & | graphitem_
uiGraphicsItem & | labelitem_
bool | showlabels_ = true
const uiWorld2Ui * | transform_ = nullptr

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Protected Member Functions inherited from uiBasemapObject
void | addToGraphItem (uiGraphicsItem &)
void | changedCB (CallBacker *)
void | changedStyleCB (CallBacker *)
void | changedZValueCB (CallBacker *)
void | leftClickCB (CallBacker *)
void | rightClickCB (CallBacker *)

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiSurveyBoxObject()

uiSurveyBoxObject::uiSurveyBoxObject | ( | BasemapObject * |  | ) |

## ◆ ~uiSurveyBoxObject()

uiSurveyBoxObject::~uiSurveyBoxObject | ( |  | ) |

## Member Function Documentation

## ◆ asWorkArea()

bool uiSurveyBoxObject::asWorkArea | ( |  | ) | const

## ◆ getLineStyle()

const OD::LineStyle & uiSurveyBoxObject::getLineStyle | ( |  | ) | const
| inline

## ◆ getType()

const char * uiSurveyBoxObject::getType | ( |  | ) | const
| inline

## ◆ labelsShown()

bool uiSurveyBoxObject::labelsShown | ( |  | ) | const

## ◆ setAsWorkArea()

void uiSurveyBoxObject::setAsWorkArea | ( | bool | yn | ) |

## ◆ setLineStyle()

void uiSurveyBoxObject::setLineStyle | ( | const OD::LineStyle & |  | ) |

## ◆ setSurveyInfo()

void uiSurveyBoxObject::setSurveyInfo | ( | const SurveyInfo * |  | ) |

## ◆ setVisibility()

void uiSurveyBoxObject::setVisibility | ( | bool |  | ) |

## ◆ showLabels()

void uiSurveyBoxObject::showLabels | ( | bool | yn | ) |

## ◆ update()

void uiSurveyBoxObject::update | ( |  | ) |
| override virtual

Reimplemented from uiBasemapObject.

## Member Data Documentation

## ◆ asworkarea_

bool uiSurveyBoxObject::asworkarea_
| protected

## ◆ frame_

uiPolygonItem* uiSurveyBoxObject::frame_
| protected

## ◆ labels_

ObjectSet<uiTextItem> uiSurveyBoxObject::labels_
| protected

## ◆ ls_

OD::LineStyle uiSurveyBoxObject::ls_
| protected

## ◆ showlabels_

bool uiSurveyBoxObject::showlabels_
| protected

## ◆ survinfo_

const SurveyInfo* uiSurveyBoxObject::survinfo_
| protected

## ◆ vertices_

ObjectSet<uiMarkerItem> uiSurveyBoxObject::vertices_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025